--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: the Server we're connected to
  name: server
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: the User representing us on that server
  name: user
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Implements RFC 2812 and prior IRC RFCs.
- !ruby/struct:SM::Flow::P 
  body: Clients should register Proc{}s to handle the various server events, and the Client class will handle dispatch.
constants: []

full_name: Irc::Client
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: deletehandler
- !ruby/object:RI::MethodSummary 
  name: process
- !ruby/object:RI::MethodSummary 
  name: reset
name: Client
superclass: Object
